Create a new app for a team
/teams/{id}/appsCreate a new app for a team. The app name of the new app must be passed in the request body.
The onboarded flag in the response indicates whether this app has
received its first session. The unique_identifier field is the
package name or bundle id of the app. The api_key field is the key
used by the client SDK to send data; its revoked field indicates
whether the API key is valid or has been revoked due to security
issues.
Authorization
bearerAuth User access token issued at sign-in. Sent as
Authorization: Bearer <access-token> unless cookies are used to send
tokens. The /auth/refresh and /auth/signout endpoints expect the
session's refresh token in the same header format instead.
In: header
Path Parameters
Team's UUID.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/teams/497f6eca-6276-4993-bfeb-53cbbbba6f08/apps" \ -H "Content-Type: application/json" \ -d '{ "name": "App 3" }'{ "id": "a787cbd6-1c94-4ffb-9cf9-f2fe0c4ebdeb", "team_id": "099f0f9b-5ee9-47de-a8aa-e996adc049c1", "name": "App 3", "api_key": { "created_at": "2024-01-19T06:40:37.489Z", "key": "msrsh_9d33956c945c386ea69790eab71550b955b09aa3dae9e1130d2d9fca6ea783b9_937e81c4", "last_seen": null, "revoked": false }, "onboarded": false, "created_at": "2024-01-19T06:40:37.483752508Z", "updated_at": "2024-01-19T06:40:37.483752508Z", "os_names": null, "onboarded_at": null, "unique_identifier": null}Think this page can be better?
Open an issue